<template>
  <div class="form-comment mt-3">
    <div class="d-flex flex-row image">
      <img :src="AVATAR_MALE" />
      <div class="w-100" style="margin-left: 12px">
        <div class="input-group d-flex h-100">
          <textarea
            class="input-comment"
            placeholder="Viết bình luận..."
            v-model="comment"
            @keyup.ctrl.enter="addComment(idUserLogin, id_report, team_id)"
          ></textarea>
          <button
            class="btn btn-primary"
            type="button"
            @click="addComment(idUserLogin, id_report, team_id)"
            id="button-addon2"
          >
            Gửi
          </button>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { API_COMMENT, AVATAR_MALE } from '~/assets/contants/contant'

export default {
  props: ['idUserLogin', 'id_report', 'team_id', 'commentId'],
  data() {
    return {
      comment: '',
      listComment: [],
    }
  },
  watch: {
    async commentId() {
      const result = await this.$axios.$get(API_COMMENT + this.commentId)
      this.comment = result.content
    },
  },
  methods: {
    async addComment(id_user, id_report, team_id) {
      if (this.comment.length > 0) {
        const dataComment = {
          user_id: id_user,
          report_id: id_report,
          content: this.comment,
          team_id: team_id,
        }
        if (this.commentId != 0) {
          await this.$axios.$put(API_COMMENT + this.commentId, dataComment)
        } else {
          await this.$axios.$post(API_COMMENT, dataComment)
        }
      }
      this.$emit('addComment')
      this.comment = ''
      
    },
  },
  computed: {
    AVATAR_MALE() {
      return AVATAR_MALE
    },
  },
}
</script>

<style>
</style>